import 'package:app_business/view/home/home.dart';
import 'package:get/get.dart';
import 'package:track_common/view.dart';

import 'view/all_init.dart';
import 'view/login.dart';

final getPages = [
  GetPage(
      name: InitView.name,
      page: () => const InitView(),
      binding: BindingsBuilder(() {
        Get.put<InitController>(InitControllerImp());
      })),
  GetPage(
      name: LoginView.name,
      page: () => const LoginView(),
      binding: BindingsBuilder(() {
        Get.put<LoginController>(LoginControllerImp());
      })),
  GetPage(
      name: HomeView.name,
      page: () => const HomeView(),
      binding: BindingsBuilder(() {
        Get.put<HomeController>(HomeControllerImpl());
      }))
];
